## ros-indigo-pr2-navigation-config 0.1.28

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_navigation_config)

find_package(catkin REQUIRED COMPONENTS move_base)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS move_base
    INCLUDE_DIRS
    LIBRARIES
)

install(DIRECTORY move_base
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-navigation-config (0.1.28-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * fixed CMake files for compile in kinetic
  * Contributors: David Feil-Seifer, Kei Okada

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 26 Apr 2018 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.27-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.26-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.25-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.24-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.23-0trusty) trusty; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.22-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.21-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.20-0trusty) trusty; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.19-0trusty) trusty; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-config (0.1.18-0trusty) trusty; urgency=high

  * catkinize packages
  * Add ignores.
  * Fixes to keep costmap clean of artifacts in voxel grid.
    Added an interpolation filter to the tilt laser scan used for clearing.  This lets the laser clear
    voxels which are no longer filled but which are in front of transparent objects which don't give a
    proper laser reading.
    Changed the timing of when in the tilt scan the laser data is used for marking.  Previously it was
    prone to marking voxels at the top edge of the tilt scan which would never get cleared out.  Now
    the filter stops accepting tilt scan data .05 seconds before it gets to the top of the tilt range,
    and the problem does not seem to happen.  This throws away a very thin wedge of scan data which does
    not seem to hurt performance.
  * pr2_navigation_config: Lowered min_rot_vel from 0.4 to 0.3 to fix an interaction between min_rot_vel and (acc_lim_theta * sim_period) which prevents it from turning in place from a stop.
  * The last touches for moving pr2_navigation over to PointCloud2
  * Adding an oscillation timeout of 10 seconds by default to pr2_navigation
  * Changing the size of the voxel grid to allow the robot to navigate when the spine is all the way up
  * Switching to use new dwa_local_planner, also removing nav_view launch files
  * Changing acc_limit to acc_lim
  * Changing wiki markup to html links in manifest and stack xml files.... hopefully that will work with the wiki macros, we'll see
  * Adding descriptions of each package to manifest files
  * Copying pr2_navigation from staging area to stacks section of the repoistory
  * Contributors: Austin Hendrix, Dave Hershberger, Eitan Marder-Eppstein, Kei Okada, eitan

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-navigation-config
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-move-base
Homepage: http://pr.willowgarage.com/wiki
Standards-Version: 3.9.2

Package: ros-indigo-pr2-navigation-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-move-base
Description: This package holds common configuration files for running the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-navigation-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
